{% extends "baseBack.html.twig" %}
{% block container %}

    <link href="{{ asset('jTable/jquery.dataTables.min.css') }}" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="{{ asset('moment.js') }}"></script>
    <link rel="stylesheet" href="{{ asset('notif/lobibox.min.css') }}"/>
    <div class="row">
        <div class="col-md-12">
            <!-- DATA TABLE -->
            <h3 class="title-5 m-b-35">Liste des avis des evenements</h3>
            <td class="table-responsive table-responsive-data2">
                <html>

                <!-- app/Resources/views/template.html.twig -->


                <body>

                </body>
                </html>
                <div class="row">
                    <div class="col-md-1"> </div>
                    <div class="col-md-10">
                        <div class="sidebar-search">
                            <!--  <div class="input-group custom-search-form">
                                  <input type="text" id="search" class="form-control" placeholder="Recherche">
                              </div>
                              /input-group -->
                        </div>
                        <br>
                    </div>
                    <div class="col-md-1"> </div>


                    <div class="col-md-10" style="margin-left: 10px !important;">
                        <table class="table  nomargin" cellspacing="0" width="100%" id="example">
                            <thead>

                            <tr>
                                <th>id avis</th>
                                <th>evenement</th>
                                <th>client</th>
                                <th>valeur</th>
                                <th>commentaire</th>
                                <th>date de mise à jour</th>
                            </tr>
                            </thead>
                            <tbody id="ajax">
                            {% for a in avisevenements %}
                                <tr class="tr-shadow">

                                    <td>{{ a.id }}</td>
                                    <td>
                                        <span class="block-email">{{ a.evenement.nom }}</span>
                                    </td>
                                    <td>
                                        <span class="block-email">{{ a.user.email }}</span>
                                    </td>

                                    <td>
                                        <span class="status--process">{{ a.valeur }}</span>
                                    </td>
                                    <td>
                                        <span class="status--process">{{ a.commentaire }}</span>
                                    </td>
                                    <td>
                                        <span class="status--process">{{ a.updatedAt|date("Y/m/d h:m a") }}</span>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
        </div>
        <!-- END DATA TABLE -->
    </div>
    </div>

    <div class="navigation">
        {{ knp_pagination_render(avisevenements) }}
    </div>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            var searchRequest = null;
            $("#search").keyup(function() {
                var minlength = 1;
                var that = this;
                var value = $(this).val();
                var entitySelector = $("#entitiesNav").html('');
                if (value.length >= minlength ) {
                    if (searchRequest != null)
                        searchRequest.abort();
                    searchRequest = $.ajax({
                        type: "GET",
                        url: "{{ path('ajax_search') }}",
                        data: {
                            'q' : value
                        },
                        dataType: "text",
                        success: function(msg){
                            if(msg=="false"){
                                $('#ajax').empty();
                            }else{
                                $('#ajax').empty();
                                var result = JSON.parse(msg);
                                //  console.log(result)
                                result.forEach(data =>{
                                        $('#ajax').append('<tr class="tr-shadow">')
                                        $('#ajax').append("<td>"+data.id+"</td>")
                                        $('#ajax').append('  <td> <span class="block-email">'+data.evenement.nom+'</span> </td>')
                                        $('#ajax').append('  <td> <span class="block-email">'+data.user.email+'</span> </td>')
                                        $('#ajax').append('  <td> <span >'+data.valeur+'</span> </td>')
                                        $('#ajax').append('  <td> <span >'+data.ccommentaire+'</span> </td>')
                                        $('#ajax').append('<td> <span class="status--process">'+moment(data.updatedAt).add(1, "days").format('Y/m/d h:m a') +'</span> </td>')
                                        $('#ajax').append('</tr>')
                                    }
                                )

                            }
                        }
                    });
                }
            });
        });
    </script>


{% endblock %}

{% block js %}
    <script type="text/javascript" src="{{ asset('jTable/jquery-2.1.4.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('jTable/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('notif/lobibox.js') }}"></script>
    <script type="text/javascript">$(document).ready(function() {
            $('#example').DataTable();
        } );
    </script>

{% endblock %}